Skip to content
payrocdevelopers

Retrieve closed loop read

Browse API reference

GET/closed-loop-reads/{closedLoopReadId}getClosedLoop

Use this method to retrieve information that a payment device captured from a closed-loop card.

A closed-loop card is a type of card that a customer can use only with a specific merchant. Each time a payment device captures information from a closed-loop card, we store the information as a closed-loop read.

Our gateway returns the following information from a closed-loop read:

  • Date that the payment device captured the information.
  • Unstructured payload from the card.

Parameters

NameInTypeDescription
closedLoopReadIdRequiredpathstring

Unique identifier that we assigned to the closed-loop read.

Responses

Successful request. Returns information from the closed-loop card.

200 OK · application/json
{
  "closedLoopReadId": "KEO45MAC1U",
  "data": {
    "cardType": "MiFareClassic",
    "uid": "04134ee21f1d80"
  },
  "processingTerminalId": "1234001",
  "readDate": "2024-07-02"
}
Response schema · 4 fields
  • closedLoopReadIdstringrequired
    Unique identifier that we assigned to the closed-loop read.
  • dataobjectrequired
    Unstructured payload from the card.
  • processingTerminalIdstringrequired
    Unique identifier that we assigned to the terminal.
  • readDatestringdaterequired
    Date that the payment device read the closed-loop card. Our gateway returns this value in YYYY-MM-DD format.

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer